import { ChainId, TokenAmount } from '@envanik/sdk';
import { ProposalData } from '../types';
export declare function useProposalCount(): number | undefined;
/**
 * @notice Fetches first block after a given timestamp
 * @dev Query speed is optimized by limiting to a 600-second period
 * @param {Number} timestamp in seconds
 */
export declare function getBlockFromTimestamp(timestamp: number, chainId: ChainId): Promise<any>;
/**
 * Need proposal events to get description data emitted from
 * new proposal event.
 */
export declare function useDataFromEventLogs(): any;
export declare function useAllProposalData(): ProposalData[];
export declare function useUserDelegatee(): string;
export declare function useUserVotes(): TokenAmount | undefined;
export declare function useDelegateCallback(): (delegatee: string | undefined) => undefined | Promise<string>;
export declare function useVoteCallback(): {
    voteCallback: (proposalId: string | undefined, support: boolean) => undefined | Promise<string>;
};
